> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bsy.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bitsy Link

> Delete a Bitsy Link by ID



## OpenAPI

````yaml DELETE /link/delete
openapi: 3.0.1
info:
  title: OpenAPI BitsyLink Store
  description: >-
    A sample API that uses a BitsyLink store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.bsy.sh/v1
security:
  - bearerAuth: []
paths:
  /link/delete:
    delete:
      description: Delete a Bitsy Link by ID
      parameters:
        - name: id
          in: query
          required: true
          description: The unique identifier for the Bitsy Link.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Link deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultSuccessMessage'
        '400':
          description: Default Client Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultClientError'
        '401':
          description: Authorization Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationError'
        '403':
          description: Permission Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionError'
        '422':
          description: Request Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultServerError'
components:
  schemas:
    DefaultSuccessMessage:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: string
          enum:
            - success
          description: Indicates the status of the request.
        message:
          type: string
          description: A message providing additional details about the request.
    DefaultClientError:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: string
          enum:
            - failure
          description: Indicates the status of the error.
        message:
          type: string
          description: A message providing additional details about the default error.
    AuthorizationError:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: string
          enum:
            - failure
          description: Indicates the status of the authorization.
        message:
          type: string
          description: >-
            A message providing additional details about the authorization
            error.
    PermissionError:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: string
          enum:
            - failure
          description: Indicates the status of the authorization.
        message:
          type: string
          description: >-
            A message providing additional details about the authorization
            error.
    ValidationError:
      required:
        - status
        - message
        - errors
      type: object
      properties:
        status:
          type: string
          enum:
            - failure
          description: Indicates the status of the validation.
        message:
          type: string
          description: A message providing additional details about the validation error.
        errors:
          type: object
          properties:
            formErrors:
              type: array
              items:
                type: string
              description: List of form-level errors.
            fieldErrors:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
              description: >-
                Object containing field-specific errors, where keys are field
                names and values are arrays of error messages.
          description: Detailed error information regarding validation failures.
    DefaultServerError:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: string
          enum:
            - error
          description: Indicates the status of the error.
        message:
          type: string
          description: A message providing additional details about the default error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````